Package org.freeplane.plugin.script.proxy

# Interface Proxy.MindMap

All Superinterfaces:
  `MindMap`, `MindMapRO`, `Proxy.MindMapRO`

All Known Subinterfaces:
  `Proxy.Map`

Enclosing interface:
  `Proxy`

public static interface Proxy.MindMap extends Proxy.MindMapRO, MindMap

## Method Summary

### Methods inherited from interface org.freeplane.api.MindMap

`addListener, close, copyConditionalStylesFrom, copyStyleFrom, copyUserStylesFrom, copyUserStylesFrom, copyUserStylesFrom, copyUserStylesFrom, copyUserStylesFrom, copyUserStylesFrom, evaluateAllFormulas, evaluateOutdatedFormulas, filter, filter, getListeners, getStorage, hide, redoFilter, removeListener, save, saveAs, setAssociatedTemplate, setBackgroundColor, setBackgroundColorCode, setBookmarks, setFilter, setFilter, setFollowedMap, setName, setSaved, undoFilter`

### Methods inherited from interface org.freeplane.api.MindMapRO

`getAssociatedTemplate, getAssociatedTemplateFile, getBackgroundColor, getBackgroundColorCode, getBookmarks, getConditionalStyles, getFile, getFollowedMap, getFollowedMapFile, getName, getRoot, getRootNode, getUserDefinedStylesNames, isSaved, node`